MKFS.CRAMFS(8)

NUME
mkfs.cramfs - creează un sistem de fișiere ROM comprimat

REZUMAT

mkfs.cramfs [opțiuni] director fișier

DESCRIERE

Fișierele de pe sistemele de fișiere cramfs sunt comprimate zlib, câte o pagină pe rând, pentru a permite accesul aleatoriu la citire. Metadatele nu sunt comprimate, dar sunt exprimate într-o reprezentare laconică, care este mai eficientă din punct de vedere al spațiului decât sistemele de fișiere convenționale.

Sistemul de fișiere este în mod intenționat numai-pentru-citire pentru a simplifica proiectarea sa; accesul aleatoriu la scriere pentru fișierele comprimate este dificil de implementat. „cramfs” este livrat cu un utilitar (mkcramfs(8)) pentru a împacheta fișiere în noi imagini „cramfs”.

Dimensiunile fișierelor sunt limitate la mai puțin de 16 MB.

Dimensiunea maximă a sistemului de fișiere este puțin sub 272 Mo. (Ultimul fișier din sistemul de fișiere trebuie să înceapă înainte de blocul de 256 Mo, dar se poate extinde dincolo de acesta).

ARGUMENTE

directorul este pur și simplu rădăcina arborelui de directoare din care dorim să generăm un sistem de fișiere comprimat.

fișierul va conține sistemul de fișiere cram, care poate fi montat ulterior.

OPȚIUNI

-v
    Activează mesajele informative detaliate.

-E
    Tratează toate avertismentele ca erori, care sunt reflectate ca stare de ieșire a comenzii.

-b dimensiune-bloc
    Utilizează dimensiunea definită a blocului, care trebuie să fie divizibilă cu dimensiunea paginii.

-e editarea
    Utilizează numărul de editare definit al sistemului de fișiere în super-bloc.

-N big, little, host
    Utilizează tipul definit de endianness. Valoarea implicită este host.

-i fișier
    Inserează un fișier în sistemul de fișiere cramfs.

-n nume
    Stabilește numele sistemului de fișiere cramfs.

-p
    Completează cu 512 octeți pentru codul de pornire.

-s
    Această opțiune este ignorată. Inițial, -s a activat sortarea intrărilor în directoare.

-z
    Face găurile în mod explicit.

-l[=mod]
    Utilizează o blocare BSD exclusivă pentru dispozitivul sau fișierul pe care îl operează. Argumentul opțional mod poate fi yes, no (sau 1 și 0) sau nonblock. Dacă argumentul mod este omis, valoarea implicită este yes. Această opțiune suprascrie variabila de mediu $LOCK_BLOCK_DEVICE. Valoarea implicită este de a nu utiliza nicio blocare, dar este recomandată pentru a evita coliziunile cu udevd sau cu alte instrumente.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

0
    succes

8
    eroare de operare,cum ar fi imposibilitatea alocării memoriei

CONSULTAȚI ȘI

fsck.cramfs(8), mount(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mkfs.cramfs face parte din pachetul util-linux care poate fi descărcat de la